// JavaScript Document
const Doc=document;

const Cat_Fol=()=> $('#Panel').load('Folios_Ref.php');

const Cat_Gan=()=> $('#Panel').load('Alta_Ganaderas.php');

const Gan_Foli=()=> $('#Panel').load('Folios_Asig.php');

const Guias_Rec=()=>$('#Panel').load('Guias_Rec.php');

const Del_Gana=(Bk)=> {
	let Resp_ = confirm("Se encuentra seguro de quitar el block asignada a la Ganadera ?");
	if (Resp_==true){
		$.ajax({
			url:'Procesos.php',
			type:"POST",
			async: true,
			data:{Opc:6,Block:Bk},
			success: function(response)
			{
				Gan_Foli();
			},
			error:function(error){
				console.log(error);
			}
		})
	}
}

$(document).on('change','.Asignar_B', function() {
	let Cliente_ = document.getElementById('List_Clientes');
	let Block_ = this;
	if (Cliente_.value !=0){
		if(this.checked) {
			let Confirm_ =confirm(`Se encuentra seguro de Asignar este folio  a: \n ${Cliente_.options[Cliente_.selectedIndex].text } \n Folio Inicio : ${this.dataset.fini} Fólio Final : ${this.dataset.ffin} ..?`);
			if(Confirm_){
				$(".Msg_Tit").load('Procesos.php',{Opc:3,Block:Block_.value,Cliente:Cliente_.value});	
				console.log(Block_.value);
			}else{
				this.checked=false;
			}
			
		}else{
			$(".Msg_Tit").load('Procesos.php',{Opc:4,Block:Block_.value});
		}
	}else{
		$("input:checkbox").prop('checked', false);
		alert("-- Favor de seleccionar Ganadera --");
	}

});

$(document).on('change','#List_Clientes', function() {
	$('#Pan_Folios').load('Procesos.php',{Opc:5});
})

const Elimina_Reg=(Reg)=> {
	let Resp_ = confirm("Se encuentra seguro de eliminar \n de la lista la Ganadera ?");
	if (Resp_==true){
		$.ajax({
			url:'Procesos.php',
			type:"POST",
			async: true,
			data:{Opc:2,Reg:Reg},
			success: function(response)
			{
				if(response==1){
					$(".Msg_Tit").html('!! Se elimino Correctamente ¡¡')
					window.location.href = '#Inicio';
					setTimeout('Act_Gan()',2500)
				}else{
					$(".Msg_Tit").html('!! Se tiene problemas ¡¡');
				}
			},
			error:function(error){
				console.log(error);
			}
		})
	}}

const New_Gana=()=>{
	let Nomb_Gan_ = document.getElementById('Nom_Gan').value;
	if(Nomb_Gan_.length==0){
		alert("Favor de Capturar nombre de la Ganadera..!!");
	}else{
		$.ajax({
			url:'Procesos.php',
			type:"POST",
			async: true,
			data:{Opc:1,Nombre:Nomb_Gan_},
			success: function(response)
			{
				if(response==1){
					$(".Msg_Tit").html('!! Se Agrego Correctamente ¡¡')
					window.location.href = '#Inicio';
					setTimeout('Act_Gan()',3000);
				}else{
					$(".Msg_Tit").html('!! Se tiene problemas \n O Ganadera ya existente ¡¡');
					
					setTimeout('Act_Gan()',2500);
				}
			},
			error:function(error){
				console.log(error);
			}
		})
	}}


function Act_Gan(){
	$('#Panel').load('Alta_Ganaderas.php');
}

const Salida=()=> window.location.href = '../Salir.php';

// Constantes 

